Skip to main content
GET
/
api
/
v1
/
trending-tickers
/
list
Get Trending Tickers List
curl --request GET \
  --url 'https://api.benzinga.com/api/v1/trending-tickers/list?token='
import requests

url = "https://api.benzinga.com/api/v1/trending-tickers/list?token="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.benzinga.com/api/v1/trending-tickers/list?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "data": [
    {
      "security": {
        "ticker": "RVLV",
        "name": "Revolve Gr",
        "exchange": "NYSE"
      },
      "count": 2344,
      "pct_chg": 23340
    }
  ]
}
{
  "ok": true,
  "data": [
    {
      "security": {
        "ticker": "RVLV",
        "name": "Revolve Gr",
        "exchange": "NYSE"
      },
      "count": 2344,
      "pct_chg": 23340
    }
  ]
}
{
    "ok": false,
    "errors": [
        {
            "id": "hbiGJjhsSpnfhM8aBePyTB",
            "code": "400",
            "value": "Bad Request"
        }
    ]
}
{
    "ok": false,
    "errors": [
        {
            "id": "hbiGJjhsSpnfhM8aBePyTB",
            "code": "500",
            "value": "Something went wrong"
        }
    ]
}

Authorizations

token
string
query
required

Query Parameters

interval
string
required

Deprecated. Use timeframe instead. Time interval for aggregating trend data.

tickers
string

Optional comma-separated list of ticker symbols to filter results. If omitted, returns all trending tickers.

source
string
required

Data source filter for trend calculation. Supported values: all (all sources combined), clickstream (user interaction data), logo (logo request data). Required.

timeframe
string

Time interval for trend aggregation. Supported values: 10m (10 minutes), 1h (1 hour), 1d (1 day). Default: 1d

time_from
string

Start time filter in 24-hour format (e.g., 09:15, 14:30). Use with date_from for precise time ranges.

time_to
string

End time filter in 24-hour format (e.g., 16:00, 22:30). Use with date_to for precise time ranges.

date_from
string

Start date filter in ISO 8601 format (e.g., 2024-12-30, 2024-01-15). Use with time_from for precise ranges.

date_to
string

End date filter in ISO 8601 format (e.g., 2024-12-30, 2024-01-31). Use with time_to for precise ranges.

page
integer

Page number for pagination. Zero-indexed (0 = first page, 1 = second page, etc.). Default: 0

pagesize
integer

Number of results per page. Default: 1000. Maximum: 1000

Response

Ranked list of trending tickers with engagement scores

data
object[]
ok
boolean
Example:

true